From 1c540bbe9adac4e988f03f73718b3a63668b5f2d Mon Sep 17 00:00:00 2001
From: Paul Wise <pabs3@bonedaddy.net>
Date: Mon, 21 Feb 2022 18:36:42 +0800
Subject: [PATCH 2/4] Skip tests that load tests via data_path

Debian has removed test_data.
---
 gensim/test/utils.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gensim/test/utils.py b/gensim/test/utils.py
index 884543f1..9453b448 100644
--- a/gensim/test/utils.py
+++ b/gensim/test/utils.py
@@ -71,6 +71,7 @@ import contextlib
 import tempfile
 import os
 import shutil
+import unittest
 
 from gensim.corpora import Dictionary
 from gensim.utils import simple_preprocess
@@ -107,6 +108,8 @@ def datapath(fname):
 
 
     """
+    if os.environ.get("SKIP_DATA_TESTS", False) == "1":
+        raise unittest.SkipTest('Skipping gensim/test/test_data/ requested')
     return os.path.join(module_path, 'test_data', fname)
 
 
-- 
2.34.1

